/*==========================================
Product Gallery
==========================================*/

.pw-gallery{

    position:sticky;

    top:100px;

}

.pw-main-image{

    position:relative;
    overflow:hidden;

    border:1px solid #ececec;
    border-radius:15px;
    background:#fff;

    cursor:zoom-in;

}

.pw-main-image img{

    width:100%;
    height:100%;

    display:block;

    object-fit:contain;

    transition:transform .15s ease;

    transform-origin:center center;

}

.pw-main-image img{

    width:100%;

    display:block;

    aspect-ratio:1/1;

    object-fit:contain;

    transition:.3s;

}

.pw-thumbnails{

    display:flex;

    gap:10px;

    margin-top:15px;

    flex-wrap:wrap;

}

.pw-thumb{

    width:80px;

    height:80px;

    border:2px solid #ddd;

    border-radius:8px;

    cursor:pointer;

    object-fit:cover;

    transition:.3s;

}

.pw-thumb:hover{

    border-color:#0d6efd;

}
/*=========================
Lightbox
==========================*/

.pw-lightbox{

    display:none;

    position:fixed;

    inset:0;

    background:rgba(0,0,0,.92);

    z-index:9999;

    align-items:center;

    justify-content:center;

}

.pw-lightbox img{

    max-width:90%;

    max-height:90%;

}

.pw-close{

    position:absolute;

    right:30px;

    top:20px;

    color:#fff;

    font-size:45px;

    cursor:pointer;

}

.pw-fullscreen{

    position:absolute;

    right:15px;

    top:15px;

    width:45px;

    height:45px;

    border:none;

    border-radius:50%;

    background:#fff;

    cursor:pointer;

}

.pw-thumb.active{

    border:3px solid #0d6efd;

}
/*==================================
Upload
==================================*/

.pw-upload-card{

    border:1px solid #ececec;

    border-radius:15px;

    padding:25px;

    margin-top:30px;

    background:#fff;

}

.pw-drop-zone{

    border:2px dashed #0d6efd;

    border-radius:15px;

    padding:50px;

    text-align:center;

    cursor:pointer;

    transition:.3s;

}

.pw-drop-zone:hover{

    background:#f8fbff;

}

.pw-drop-zone i{

    font-size:60px;

    color:#0d6efd;

}

.preview-image{

    position:relative;

    margin-bottom:20px;

}

.preview-image img{

    width:100%;

    border-radius:10px;

}

.remove-photo{

    position:absolute;

    right:8px;

    top:8px;

    border:none;

    width:28px;

    height:28px;

    border-radius:50%;

    background:red;

    color:#fff;

}